import { Locator } from "@playwright/test";
import { Atom } from "../../atom";
export declare class SwitchAtom extends Atom {
    static ON_CSS: string;
    static CSS_CLASS: string;
    toggle: () => Promise<void>;
    container(): Locator;
    get labelElement(): Locator;
    labelText: () => Promise<string>;
    get slider(): Locator;
    isOn(): Promise<boolean>;
    isOff(): Promise<boolean>;
    isDisabled(): Promise<boolean>;
    isNotDisabled(): Promise<boolean>;
    setState(shouldBeOn: boolean): Promise<void>;
}
